org.freedesktop.cairo

## Class HintStyle

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.cairo.HintStyle

-     public class HintStyle
      extends org.freedesktop.bindings.Constant

  What style of hinting to apply. Note that not all styles are supported by all back ends, which is why you probably want `DEFAULT`. Like HintMetrics, you can generally leave this alone.

  Worse, vendors like Canonical patch their distribution's Cairo package in ways that have voided their support from the upstream Cairo and Pango authors. So setting `SLIGHT` will unfortunately have varying and unpredictable effects, depending on what Linux your users are on.

  Since:
    4.0.17
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HintStyle` | `DEFAULT` Default is like "unset"; the existing value from the surrounding environment (Context, Surface, Font in use, Font rendering back end, etc) will be used.
    `static HintStyle` | `FULL` Full hinting, maximizing contrast.
    `static HintStyle` | `MEDIUM` Medium hinting.
    `static HintStyle` | `NONE` Turn hinting off, being most faithful to the actual outlines in the font.
    `static HintStyle` | `SLIGHT` Slight hinting.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final HintStyle DEFAULT

      Default is like "unset"; the existing value from the surrounding environment (Context, Surface, Font in use, Font rendering back end, etc) will be used.
      Since:
        4.0.17

    - #### FULL

          public static final HintStyle FULL

      Full hinting, maximizing contrast.
      Since:
        4.0.17

    - #### MEDIUM

          public static final HintStyle MEDIUM

      Medium hinting.
      Since:
        4.0.17

    - #### NONE

          public static final HintStyle NONE

      Turn hinting off, being most faithful to the actual outlines in the font.
      Since:
        4.0.17

    - #### SLIGHT

          public static final HintStyle SLIGHT

      Slight hinting.
      Since:
        4.0.17